# Open MCT Web Documentation

## Overview

 Documentation is provided to support the use and development of
 Open MCT Web. It's recommended that before doing
 any development with Open MCT Web you take some time to familiarize yourself 
 with the documentation below.

 Open MCT Web provides functionality out of the box, but it's also a platform for
 building rich mission operations applications based on modern web technology. 
 The platform is configured declaratively, and defines conventions for
 building on the provided capabilities by creating modular 'bundles' that 
 extend the platform at a variety of extension points. The details of how to
 extend the platform are provided in the following documentation.

## Sections

 * The [Architecture Overview](architecture/) describes the concepts used 
 throughout Open MCT Web, and gives a high level overview of the platform's design.
 
 * The [Developer's Guide](guide/) goes into more detail about how to use the
 platform and the functionality that it provides.
 
 * The [Tutorials](tutorials/) give examples of extending the platform to add 
 functionality, 
 and integrate with data sources.
 
 * The [API](api/) document is generated from inline documentation 
 using [JSDoc](http://usejsdoc.org/), and describes the JavaScript objects and
 functions that make up the software platform.

 * Finally, the [Development Process](process/) document describes the 
 Open MCT Web software development cycle.
 